@REM This file spawns runnable WebSite from source code, resources, and server scripts.
@REM
@REM Legend: "REM" stands for comments.
@REM         "rem" is a switch. UNrem its line if task is required.
@REM
mkdir ..\Engine
mkdir ..\Engine\Resources
@REM
@REM Server part. Not needed for appletviewer or for static session.
mkdir ..\Engine\S_e_r_v_e_r
mkdir ..\Engine\S_e_r_v_e_r\Sessions
mkdir ..\Engine\S_e_r_v_e_r\Sessions\Logs
mkdir ..\Engine\S_e_r_v_e_r\wrap
copy S_e_r_v_e_r\wrap\*.*      ..\Engine\S_e_r_v_e_r\wrap  /Y
copy S_e_r_v_e_r\Sessions\*.*  ..\Engine\S_e_r_v_e_r\Sessions  /Y
@REM
javac -d ..\Engine Globals\*
@rem javac -d ..\Engine Globals\GU.java
@rem javac -d ..\Engine Globals\GS.java
javac -d ..\Engine CalculusAndVectors\*
javac -d ..\Engine DrawTexts\*
javac -d ..\Engine DrawHills\*
javac -d ..\Engine Ightaria\*
javac -d ..\Engine Statistics\*
@rem javac -d ..\Engine Ightaria\Scenario.java
@rem javac -d ..\Engine Ightaria\Hill.java
@rem javac -d ..\Engine Ightaria\Pop.java
@rem javac -d ..\Engine Ightaria\HFold.java 
@rem javac -d ..\Engine Ightaria\Bridge.java
@rem javac -d ..\Engine Ightaria\Vessel.java
@rem javac -d ..\Engine Ightaria\Scene.java
@rem javac -d ..\Engine Ightaria\Terrain.java
@REM
copy Resources\*.*  ..\Engine\Resources  /Y
copy index.htm ..\Engine\index.htm /Y
java -cp ..\MetaTools\Filter Filter index.htm ..\Engine\index.php value=\"htm\" value=\"php\"
java -cp ..\MetaTools\Filter Filter index.htm ..\Engine\index.asp value=\"htm\" value=\"asp\"
@REM
copy index_with_jar.htm ..\Engine\index_with_jar.htm /Y
java -cp ..\MetaTools\Filter Filter index_with_jar.htm ..\Engine\index_with_jar.php value=\"htm\" value=\"php\"
java -cp ..\MetaTools\Filter Filter index_with_jar.htm ..\Engine\index_with_jar.asp value=\"htm\" value=\"asp\"
@REM
@REM
@REM FINALLY THIS SEGMENT MAKES JAR: *********************
copy MakeJar.bat ..\Engine\MakeJar.bat /Y
cd   ..\Engine\  
call MakeJar.bat
@rem *****************************************************